if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ ! -e usr/lib64/vlc/plugins*.dat ] ; then
  usr/lib64/vlc/vlc-cache-gen -f usr/lib64/vlc
fi
( cd usr/lib64 ; rm -rf libvlc.so )
( cd usr/lib64 ; ln -sf libvlc.so.5.5.0 libvlc.so )
( cd usr/lib64 ; rm -rf libvlc.so.5 )
( cd usr/lib64 ; ln -sf libvlc.so.5.5.0 libvlc.so.5 )
( cd usr/lib64 ; rm -rf libvlccore.so )
( cd usr/lib64 ; ln -sf libvlccore.so.8.0.0 libvlccore.so )
( cd usr/lib64 ; rm -rf libvlccore.so.8 )
( cd usr/lib64 ; ln -sf libvlccore.so.8.0.0 libvlccore.so.8 )
( cd usr/lib64/vlc ; rm -rf libvlc_vdpau.so )
( cd usr/lib64/vlc ; ln -sf libvlc_vdpau.so.0.0.0 libvlc_vdpau.so )
( cd usr/lib64/vlc ; rm -rf libvlc_vdpau.so.0 )
( cd usr/lib64/vlc ; ln -sf libvlc_vdpau.so.0.0.0 libvlc_vdpau.so.0 )
